Post by Nija » Mon Dec 15, 2014 3:50 pm

Salutare,
Am primit un e-mail de la HostVision in care eram instiintat de urmatorul lucru:
Incepand cu Noiembrie 2014, HostVision va actualiza progresiv toate serverele cu versiunea PHP 5.5 iar ulterior cu 5.6 conform recomandarilor PHP Development Team!
Am ignorat acest mesaj, ca nu credeam ca o sa ma afecteze. Au mai fost astfel de upgrade-uri care nu m-au afectat.
Insa, dupa acest upgrade, unul din site-uri nu mai functioneaza. Apare o pagina goala, alba, atat in front cat si in admin.
Apoi am citit mai cu atentie si am gasit "OpenCart incepand cu 1.5.6 este compatibil cu PHP 5.4". De aici pare sa fie problema.
Acum, avend in vedere ca nu mai pot acesa site-ul, nici nu mai stiu cum sa aflu ce varianta de OC folosesc, dar cel mai probabil folosesc o varianta mai veche de 1.5.6.
Cum fac sa readuc site-ul la viata ? Tin sa precizez ca am o thema custom, si daca fac update la OC ar creea prea mari batai de cap. Oare exista alta solutie ?
Va multumesc!

Active Member

Posts

Joined
Sun Oct 31, 2010 5:19 pm
Location - Constanta, Romana

Post by opencartromania » Mon Dec 15, 2014 4:16 pm

Buna ziua!

Aveti mesaj de la noi.

Stima

User avatar
Active Member

Posts

Joined
Wed Sep 25, 2013 9:26 pm


Post by Nija » Mon Dec 15, 2014 8:52 pm

Intre timp, cu ajutorul lui Nicu Dica am aflat versiunea pe care o am : 1.5.2.1.

Active Member

Posts

Joined
Sun Oct 31, 2010 5:19 pm
Location - Constanta, Romana

Post by atufa » Mon Dec 15, 2014 11:52 pm

Ar trebui sa soliciti celor de la HostVision restaurarea temporara a versiunii vechi de PHP pana reusesti sa faci upgrade-ul. Daca nu sunt de acord, te poti muta rapid la alt host care intelege acest lucru, pana la urma de la tine au incasat bani.

Image Image


User avatar
Active Member

Posts

Joined
Fri Jul 27, 2012 2:31 pm


Post by Nija » Tue Dec 16, 2014 3:49 pm

Multumesc de raspuns atufa.
La asta m-am gandit si eu, este cea mai simpla solutie, dar dupa cum spuneam, am o thema custom si daca fac up-date la versiune o sa am de reparat si thema apoi.
Ma gandeam ca exista o solutie mai simpla. Daca nu gasesc nici o solutie, o sa fac cum ai spus tu...

Active Member

Posts

Joined
Sun Oct 31, 2010 5:19 pm
Location - Constanta, Romana

Post by atufa » Mon Dec 22, 2014 3:34 pm

Ar mai exista o solutie, ca un developer sa faca debug pe erori si sa modifice codul OC pe care il ai astfel incat sa fie compatibil cu noua versiune de PHP. Acum depinde de modificarile necesare, s-ar putea sa fie mai usor de facut upgradeul OC si adaptarea temei custom la noul OC.

Iata mai jos un articol actual despre versiunile de PHP si ce difera intre ele:
http://www.schmengler-se.de/en/2014/11/ ... atibility/

Image Image


User avatar
Active Member

Posts

Joined
Fri Jul 27, 2012 2:31 pm

Who is online

Users browsing this forum: No registered users and 3 guests